/*
    IA32
    copyright (c) 1998-2011 Kazuki Iwamoto http://www.maid.org/ iwm@maid.org

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "crypt32.h"


Ia32Export ia32_crypt32_exports[] = {
{16, 1024, "CertAddCRLContextToStore",                           NULL},
{ 0, 1025, "CertAddCRLLinkToStore",                              NULL},
{16, 1026, "CertAddCTLContextToStore",                           NULL},
{ 0, 1027, "CertAddCTLLinkToStore",                              NULL},
{16, 1028, "CertAddCertificateContextToStore",                   NULL},
{ 0, 1029, "CertAddCertificateLinkToStore",                      NULL},
{24, 1030, "CertAddEncodedCRLToStore",                           NULL},
{24, 1031, "CertAddEncodedCTLToStore",                           NULL},
{24, 1032, "CertAddEncodedCertificateToStore",                   NULL},
{12, 1033, "CertAddEncodedCertificateToSystemStoreA",            NULL},
{12, 1034, "CertAddEncodedCertificateToSystemStoreW",            NULL},
{ 8, 1035, "CertAddEnhancedKeyUsageIdentifier",                  NULL},
{ 0, 1036, "CertAddRefServerOcspResponse",                       NULL},
{ 0, 1037, "CertAddRefServerOcspResponseContext",                NULL},
{32, 1038, "CertAddSerializedElementToStore",                    NULL},
{ 0, 1039, "CertAddStoreToCollection",                           NULL},
{ 4, 1040, "CertAlgIdToOID",                                     NULL},
{ 0, 1041, "CertCloseServerOcspResponse",                        NULL},
{ 8, 1042, "CertCloseStore",                                     NULL},
{12, 1043, "CertCompareCertificate",                             NULL},
{12, 1044, "CertCompareCertificateName",                         NULL},
{ 8, 1045, "CertCompareIntegerBlob",                             NULL},
{12, 1046, "CertComparePublicKeyInfo",                           NULL},
{ 0, 1047, "CertControlStore",                                   NULL},
{12, 1048, "CertCreateCRLContext",                               NULL},
{12, 1049, "CertCreateCTLContext",                               NULL},
{ 0, 1050, "CertCreateCTLEntryFromCertificateContextProperties", NULL},
{ 0, 1051, "CertCreateCertificateChainEngine",                   NULL},
{12, 1052, "CertCreateCertificateContext",                       NULL},
{ 0, 1053, "CertCreateContext",                                  NULL},
{ 0, 1054, "CertCreateSelfSignCertificate",                      NULL},
{ 4, 1055, "CertDeleteCRLFromStore",                             NULL},
{ 4, 1056, "CertDeleteCTLFromStore",                             NULL},
{ 4, 1057, "CertDeleteCertificateFromStore",                     NULL},
{ 4, 1058, "CertDuplicateCRLContext",                            NULL},
{ 4, 1059, "CertDuplicateCTLContext",                            NULL},
{ 0, 1060, "CertDuplicateCertificateChain",                      NULL},
{ 4, 1061, "CertDuplicateCertificateContext",                    NULL},
{ 4, 1062, "CertDuplicateStore",                                 NULL},
{ 8, 1063, "CertEnumCRLContextProperties",                       NULL},
{ 0, 1064, "CertEnumCRLsInStore",                                NULL},
{ 8, 1065, "CertEnumCTLContextProperties",                       NULL},
{ 8, 1066, "CertEnumCTLsInStore",                                NULL},
{ 8, 1067, "CertEnumCertificateContextProperties",               NULL},
{ 8, 1068, "CertEnumCertificatesInStore",                        NULL},
{ 0, 1069, "CertEnumPhysicalStore",                              NULL},
{ 0, 1070, "CertEnumSubjectInSortedCTL",                         NULL},
{ 0, 1071, "CertEnumSystemStore",                                NULL},
{ 0, 1072, "CertEnumSystemStoreLocation",                        NULL},
{12, 1073, "CertFindAttribute",                                  NULL},
{ 0, 1074, "CertFindCRLInStore",                                 NULL},
{24, 1075, "CertFindCTLInStore",                                 NULL},
{ 0, 1076, "CertFindCertificateInCRL",                           NULL},
{24, 1077, "CertFindCertificateInStore",                         NULL},
{ 0, 1078, "CertFindChainInStore",                               NULL},
{12, 1079, "CertFindExtension",                                  NULL},
{ 8, 1080, "CertFindRDNAttr",                                    NULL},
{20, 1081, "CertFindSubjectInCTL",                               NULL},
{ 0, 1082, "CertFindSubjectInSortedCTL",                         NULL},
{ 4, 1083, "CertFreeCRLContext",                                 NULL},
{ 4, 1084, "CertFreeCTLContext",                                 NULL},
{ 0, 1085, "CertFreeCertificateChain",                           NULL},
{ 0, 1086, "CertFreeCertificateChainEngine",                     NULL},
{ 0, 1087, "CertFreeCertificateChainList",                       NULL},
{ 4, 1088, "CertFreeCertificateContext",                         NULL},
{ 0, 1089, "CertFreeServerOcspResponseContext",                  NULL},
{16, 1090, "CertGetCRLContextProperty",                          NULL},
{16, 1091, "CertGetCRLFromStore",                                NULL},
{16, 1092, "CertGetCTLContextProperty",                          NULL},
{ 0, 1093, "CertGetCertificateChain",                            NULL},
{16, 1094, "CertGetCertificateContextProperty",                  NULL},
{16, 1095, "CertGetEnhancedKeyUsage",                            NULL},
{16, 1096, "CertGetIntendedKeyUsage",                            NULL},
{16, 1097, "CertGetIssuerCertificateFromStore",                  NULL},
{ 0, 1098, "CertGetNameStringA",                                 NULL},
{ 0, 1099, "CertGetNameStringW",                                 NULL},
{ 0, 1100, "CertGetPublicKeyLength",                             NULL},
{ 0, 1101, "CertGetServerOcspResponseContext",                   NULL},
{ 0, 1102, "CertGetStoreProperty",                               NULL},
{12, 1103, "CertGetSubjectCertificateFromStore",                 NULL},
{ 0, 1104, "CertGetValidUsages",                                 NULL},
{16, 1105, "CertIsRDNAttrsInCertificateName",                    NULL},
{ 0, 1106, "CertIsValidCRLForCertificate",                       NULL},
{20, 1107, "CertNameToStrA",                                     NULL},
{20, 1108, "CertNameToStrW",                                     NULL},
{ 4, 1109, "CertOIDToAlgId",                                     NULL},
{ 0, 1110, "CertOpenServerOcspResponse",                         NULL},
{20, 1111, "CertOpenStore",                                      NULL},
{ 8, 1112, "CertOpenSystemStoreA",                               NULL},
{ 8, 1113, "CertOpenSystemStoreW",                               NULL},
{16, 1114, "CertRDNValueToStrA",                                 NULL},
{16, 1115, "CertRDNValueToStrW",                                 NULL},
{ 0, 1116, "CertRegisterPhysicalStore",                          NULL},
{ 0, 1117, "CertRegisterSystemStore",                            NULL},
{ 8, 1118, "CertRemoveEnhancedKeyUsageIdentifier",               NULL},
{ 0, 1119, "CertRemoveStoreFromCollection",                      NULL},
{ 0, 1120, "CertResyncCertificateChainEngine",                   NULL},
{ 0, 1121, "CertRetrieveLogoOrBiometricInfo",                    NULL},
{24, 1122, "CertSaveStore",                                      NULL},
{ 0, 1123, "CertSelectCertificateChains",                        NULL},
{16, 1124, "CertSerializeCRLStoreElement",                       NULL},
{16, 1125, "CertSerializeCTLStoreElement",                       NULL},
{16, 1126, "CertSerializeCertificateStoreElement",               NULL},
{16, 1127, "CertSetCRLContextProperty",                          NULL},
{16, 1128, "CertSetCTLContextProperty",                          NULL},
{ 0, 1129, "CertSetCertificateContextPropertiesFromCTLEntry",    NULL},
{16, 1130, "CertSetCertificateContextProperty",                  NULL},
{ 8, 1131, "CertSetEnhancedKeyUsage",                            NULL},
{ 0, 1132, "CertSetStoreProperty",                               NULL},
{28, 1133, "CertStrToNameA",                                     NULL},
{28, 1134, "CertStrToNameW",                                     NULL},
{ 0, 1135, "CertUnregisterPhysicalStore",                        NULL},
{ 0, 1136, "CertUnregisterSystemStore",                          NULL},
{16, 1137, "CertVerifyCRLRevocation",                            NULL},
{ 8, 1138, "CertVerifyCRLTimeValidity",                          NULL},
{28, 1139, "CertVerifyCTLUsage",                                 NULL},
{ 0, 1140, "CertVerifyCertificateChainPolicy",                   NULL},
{28, 1141, "CertVerifyRevocation",                               NULL},
{12, 1142, "CertVerifySubjectCertificateContext",                NULL},
{ 8, 1143, "CertVerifyTimeValidity",                             NULL},
{ 8, 1144, "CertVerifyValidityNesting",                          NULL},
{28, 1145, "CreateFileU",                                        NULL},
{ 0, 1146, "CryptAcquireCertificatePrivateKey",                  NULL},
{20, 1012, "CryptAcquireContextU",                               NULL},
{ 0, 1147, "CryptBinaryToStringA",                               NULL},
{ 0, 1148, "CryptBinaryToStringW",                               NULL},
{ 0, 1149, "CryptCloseAsyncHandle",                              NULL},
{ 0, 1150, "CryptCreateAsyncHandle",                             NULL},
{ 0, 1151, "CryptCreateKeyIdentifierFromCSP",                    NULL},
{52, 1152, "CryptDecodeMessage",                                 NULL},
{28, 1153, "CryptDecodeObject",                                  NULL},
{ 0, 1154, "CryptDecodeObjectEx",                                NULL},
{36, 1155, "CryptDecryptAndVerifyMessageSignature",              NULL},
{24, 1156, "CryptDecryptMessage",                                NULL},
{20, 1157, "CryptEncodeObject",                                  NULL},
{ 0, 1158, "CryptEncodeObjectEx",                                NULL},
{28, 1159, "CryptEncryptMessage",                                NULL},
{ 0, 1160, "CryptEnumKeyIdentifierProperties",                   NULL},
{24, 1161, "CryptEnumOIDFunction",                               NULL},
{ 0, 1162, "CryptEnumOIDInfo",                                   NULL},
{ 0, 1013, "CryptEnumProvidersU",                                NULL},
{ 0, 1163, "CryptExportPKCS8",                                   NULL},
{20, 1164, "CryptExportPublicKeyInfo",                           NULL},
{32, 1165, "CryptExportPublicKeyInfoEx",                         NULL},
{ 0, 1166, "CryptExportPublicKeyInfoFromBCryptKeyHandle",        NULL},
{ 0, 1167, "CryptFindCertificateKeyProvInfo",                    NULL},
{ 0, 1168, "CryptFindLocalizedName",                             NULL},
{ 0, 1169, "CryptFindOIDInfo",                                   NULL},
{36, 1170, "CryptFormatObject",                                  NULL},
{ 8, 1171, "CryptFreeOIDFunctionAddress",                        NULL},
{ 0, 1172, "CryptGetAsyncParam",                                 NULL},
{16, 1173, "CryptGetDefaultOIDDllList",                          NULL},
{24, 1174, "CryptGetDefaultOIDFunctionAddress",                  NULL},
{ 0, 1175, "CryptGetKeyIdentifierProperty",                      NULL},
{20, 1176, "CryptGetMessageCertificates",                        NULL},
{12, 1177, "CryptGetMessageSignerCount",                         NULL},
{24, 1178, "CryptGetOIDFunctionAddress",                         NULL},
{28, 1179, "CryptGetOIDFunctionValue",                           NULL},
{28, 1181, "CryptHashCertificate",                               NULL},
{ 0, 1180, "CryptHashCertificate2",                              NULL},
{36, 1182, "CryptHashMessage",                                   NULL},
{28, 1183, "CryptHashPublicKeyInfo",                             NULL},
{24, 1184, "CryptHashToBeSigned",                                NULL},
{ 0, 1185, "CryptImportPKCS8",                                   NULL},
{16, 1186, "CryptImportPublicKeyInfo",                           NULL},
{28, 1188, "CryptImportPublicKeyInfoEx",                         NULL},
{ 0, 1187, "CryptImportPublicKeyInfoEx2",                        NULL},
{ 8, 1189, "CryptInitOIDFunctionSet",                            NULL},
{ 0, 1190, "CryptInstallDefaultContext",                         NULL},
{24, 1191, "CryptInstallOIDFunctionAddress",                     NULL},
{12, 1192, "CryptLoadSip",                                       NULL},
{ 0, 1193, "CryptMemAlloc",                                      NULL},
{ 0, 1194, "CryptMemFree",                                       NULL},
{ 0, 1195, "CryptMemRealloc",                                    NULL},
{24, 1196, "CryptMsgCalculateEncodedLength",                     NULL},
{ 4, 1197, "CryptMsgClose",                                      NULL},
{16, 1198, "CryptMsgControl",                                    NULL},
{16, 1199, "CryptMsgCountersign",                                NULL},
{28, 1200, "CryptMsgCountersignEncoded",                         NULL},
{ 0, 1201, "CryptMsgDuplicate",                                  NULL},
{24, 1202, "CryptMsgEncodeAndSignCTL",                           NULL},
{24, 1203, "CryptMsgGetAndVerifySigner",                         NULL},
{20, 1204, "CryptMsgGetParam",                                   NULL},
{24, 1205, "CryptMsgOpenToDecode",                               NULL},
{24, 1206, "CryptMsgOpenToEncode",                               NULL},
{28, 1207, "CryptMsgSignCTL",                                    NULL},
{16, 1208, "CryptMsgUpdate",                                     NULL},
{28, 1209, "CryptMsgVerifyCountersignatureEncoded",              NULL},
{ 0, 1210, "CryptMsgVerifyCountersignatureEncodedEx",            NULL},
{ 0, 1211, "CryptProtectData",                                   NULL},
{ 0, 1212, "CryptProtectMemory",                                 NULL},
{ 0, 1213, "CryptQueryObject",                                   NULL},
{16, 1214, "CryptRegisterDefaultOIDFunction",                    NULL},
{20, 1215, "CryptRegisterOIDFunction",                           NULL},
{ 0, 1216, "CryptRegisterOIDInfo",                               NULL},
{ 0, 1217, "CryptRetrieveTimeStamp",                             NULL},
{ 0, 1218, "CryptSIPAddProvider",                                NULL},
{ 0, 1219, "CryptSIPCreateIndirectData",                         NULL},
{ 0, 1220, "CryptSIPGetSignedDataMsg",                           NULL},
{ 0, 1221, "CryptSIPLoad",                                       NULL},
{ 0, 1222, "CryptSIPPutSignedDataMsg",                           NULL},
{ 0, 1223, "CryptSIPRemoveProvider",                             NULL},
{ 0, 1224, "CryptSIPRemoveSignedDataMsg",                        NULL},
{12, 1225, "CryptSIPRetrieveSubjectGuid",                        NULL},
{ 0, 1226, "CryptSIPRetrieveSubjectGuidForCatalogFile",          NULL},
{ 0, 1227, "CryptSIPVerifyIndirectData",                         NULL},
{ 0, 1228, "CryptSetAsyncParam",                                 NULL},
{ 0, 1229, "CryptSetKeyIdentifierProperty",                      NULL},
{28, 1230, "CryptSetOIDFunctionValue",                           NULL},
{ 8, 1014, "CryptSetProviderU",                                  NULL},
{36, 1231, "CryptSignAndEncodeCertificate",                      NULL},
{32, 1232, "CryptSignAndEncryptMessage",                         NULL},
{36, 1233, "CryptSignCertificate",                               NULL},
{24, 1015, "CryptSignHashU",                                     NULL},
{28, 1234, "CryptSignMessage",                                   NULL},
{20, 1235, "CryptSignMessageWithKey",                            NULL},
{ 0, 1236, "CryptStringToBinaryA",                               NULL},
{ 0, 1237, "CryptStringToBinaryW",                               NULL},
{ 0, 1238, "CryptUninstallDefaultContext",                       NULL},
{ 0, 1239, "CryptUnprotectData",                                 NULL},
{ 0, 1240, "CryptUnprotectMemory",                               NULL},
{12, 1241, "CryptUnregisterDefaultOIDFunction",                  NULL},
{12, 1242, "CryptUnregisterOIDFunction",                         NULL},
{ 0, 1243, "CryptUnregisterOIDInfo",                             NULL},
{ 0, 1244, "CryptUpdateProtectedState",                          NULL},
{20, 1245, "CryptVerifyCertificateSignature",                    NULL},
{ 0, 1246, "CryptVerifyCertificateSignatureEx",                  NULL},
{32, 1247, "CryptVerifyDetachedMessageHash",                     NULL},
{32, 1248, "CryptVerifyDetachedMessageSignature",                NULL},
{28, 1249, "CryptVerifyMessageHash",                             NULL},
{28, 1250, "CryptVerifyMessageSignature",                        NULL},
{24, 1251, "CryptVerifyMessageSignatureWithKey",                 NULL},
{24, 1016, "CryptVerifySignatureU",                              NULL},
{ 0, 1252, "CryptVerifyTimeStampSignature",                      NULL},
{ 0, 1253, "I_CertDiagControl",                                  NULL},
{ 0, 1254, "I_CertProtectFunction",                              NULL},
{ 0, 1255, "I_CertSrvProtectFunction",                           NULL},
{ 0, 1256, "I_CertSyncStore",                                    NULL},
{ 0, 1257, "I_CertUpdateStore",                                  NULL},
{ 0, 1258, "I_CryptAddRefLruEntry",                              NULL},
{ 0, 1259, "I_CryptAddSmartCardCertToStore",                     NULL},
{ 0, 1260, "I_CryptAllocTls",                                    NULL},
{ 0, 1261, "I_CryptCreateLruCache",                              NULL},
{ 0, 1262, "I_CryptCreateLruEntry",                              NULL},
{ 4, 1263, "I_CryptDetachTls",                                   NULL},
{ 0, 1264, "I_CryptDisableLruOfEntries",                         NULL},
{ 0, 1265, "I_CryptEnableLruOfEntries",                          NULL},
{ 0, 1266, "I_CryptEnumMatchingLruEntries",                      NULL},
{ 0, 1267, "I_CryptFindLruEntry",                                NULL},
{ 0, 1268, "I_CryptFindLruEntryData",                            NULL},
{ 0, 1269, "I_CryptFindSmartCardCertInStore",                    NULL},
{ 0, 1270, "I_CryptFlushLruCache",                               NULL},
{ 0, 1271, "I_CryptFreeLruCache",                                NULL},
{ 0, 1272, "I_CryptFreeTls",                                     NULL},
{ 0, 1273, "I_CryptGetAsn1Decoder",                              NULL},
{ 0, 1274, "I_CryptGetAsn1Encoder",                              NULL},
{ 0, 1275, "I_CryptGetDefaultCryptProv",                         NULL},
{ 0, 1276, "I_CryptGetDefaultCryptProvForEncrypt",               NULL},
{ 0, 1277, "I_CryptGetFileVersion",                              NULL},
{ 0, 1278, "I_CryptGetLruEntryData",                             NULL},
{ 0, 1279, "I_CryptGetLruEntryIdentifier",                       NULL},
{ 4, 1280, "I_CryptGetOssGlobal",                                NULL},
{ 4, 1281, "I_CryptGetTls",                                      NULL},
{ 0, 1282, "I_CryptInsertLruEntry",                              NULL},
{ 0, 1283, "I_CryptInstallAsn1Module",                           NULL},
{12, 1284, "I_CryptInstallOssGlobal",                            NULL},
{ 0, 1285, "I_CryptReadTrustedPublisherDWORDValueFromRegistry",  NULL},
{ 0, 1286, "I_CryptRegisterSmartCardStore",                      NULL},
{ 0, 1287, "I_CryptReleaseLruEntry",                             NULL},
{ 0, 1288, "I_CryptRemoveLruEntry",                              NULL},
{ 8, 1289, "I_CryptSetTls",                                      NULL},
{ 0, 1290, "I_CryptTouchLruEntry",                               NULL},
{ 0, 1291, "I_CryptUninstallAsn1Module",                         NULL},
{ 0, 1292, "I_CryptUninstallOssGlobal",                          NULL},
{ 0, 1293, "I_CryptUnregisterSmartCardStore",                    NULL},
{ 0, 1294, "I_CryptWalkAllLruCacheEntries",                      NULL},
{ 0, 1296, "PFXExportCertStore",                                 NULL},
{ 0, 1295, "PFXExportCertStore2",                                NULL},
{ 0, 1297, "PFXExportCertStoreEx",                               NULL},
{ 0, 1298, "PFXImportCertStore",                                 NULL},
{ 0, 1299, "PFXIsPFXBlob",                                       NULL},
{ 0, 1300, "PFXVerifyPassword",                                  NULL},
{ 0, 1301, "RegCreateHKCUKeyExU",                                NULL},
{36, 1017, "RegCreateKeyExU",                                    NULL},
{ 8, 1018, "RegDeleteValueU",                                    NULL},
{32, 1019, "RegEnumValueU",                                      NULL},
{ 0, 1302, "RegOpenHKCUKeyExU",                                  NULL},
{ 0, 1020, "RegOpenKeyExU",                                      NULL},
{48, 1021, "RegQueryInfoKeyU",                                   NULL},
{24, 1022, "RegQueryValueExU",                                   NULL},
{24, 1023, "RegSetValueExU",                                     NULL},
{G_MAXINT, 0, NULL, NULL}};
