/*
    IA32
    copyright (c) 1998-2011 Kazuki Iwamoto http://www.maid.org/ iwm@maid.org

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "imm32.h"


Ia32Export ia32_imm32_exports[] = {
{ 0,   1, "CtfImmAppCompatEnableIMEonProtectedCode", NULL},
{ 0,   2, "CtfImmCoUninitialize",                    NULL},
{ 0,   3, "CtfImmDispatchDefImeMessage",             NULL},
{ 0,   4, "CtfImmEnterCoInitCountSkipMode",          NULL},
{ 0,   5, "CtfImmGenerateMessage",                   NULL},
{ 0,   6, "CtfImmGetCompatibleKeyboardLayout",       NULL},
{ 0,   7, "CtfImmGetGuidAtom",                       NULL},
{ 0,   8, "CtfImmGetIMEFileName",                    NULL},
{ 0,   9, "CtfImmGetTMAEFlags",                      NULL},
{ 0,  10, "CtfImmHideToolbarWnd",                    NULL},
{ 0,  11, "CtfImmIsCiceroEnabled",                   NULL},
{ 0,  12, "CtfImmIsCiceroStartedInThread",           NULL},
{ 0,  13, "CtfImmIsGuidMapEnable",                   NULL},
{ 0,  14, "CtfImmIsTextFrameServiceDisabled",        NULL},
{ 0,  15, "CtfImmLastEnabledWndDestroy",             NULL},
{ 0,  16, "CtfImmLeaveCoInitCountSkipMode",          NULL},
{ 0,  17, "CtfImmNotify",                            NULL},
{ 0,  18, "CtfImmRestoreToolbarWnd",                 NULL},
{ 0,  19, "CtfImmSetAppCompatFlags",                 NULL},
{ 0,  20, "CtfImmSetCiceroStartInThread",            NULL},
{ 0,  21, "CtfImmSetDefaultRemoteKeyboardLayout",    NULL},
{ 0,  22, "CtfImmTIMActivate",                       NULL},
{ 0,  23, "GetKeyboardLayoutCP",                     NULL},
{ 0,  24, "ImmActivateLayout",                       NULL},
{ 8,  25, "ImmAssociateContext",                     NULL},
{12,  26, "ImmAssociateContextEx",                   NULL},
{ 0,  27, "ImmCallImeConsoleIME",                    NULL},
{16,  28, "ImmConfigureIMEA",                        NULL},
{16,  29, "ImmConfigureIMEW",                        NULL},
{ 0,  30, "ImmCreateContext",                        NULL},
{ 4,  31, "ImmCreateIMCC",                           NULL},
{16,  32, "ImmCreateSoftKeyboard",                   NULL},
{ 4,  33, "ImmDestroyContext",                       NULL},
{ 4,  34, "ImmDestroyIMCC",                          NULL},
{ 4,  35, "ImmDestroySoftKeyboard",                  NULL},
{ 4,  36, "ImmDisableIME",                           NULL},
{ 0,  37, "ImmDisableIme",                           NULL},
{ 0,  38, "ImmDisableTextFrameService",              NULL},
{ 0,  39, "ImmEnumInputContext",                     NULL},
{24,  40, "ImmEnumRegisterWordA",                    NULL},
{24,  41, "ImmEnumRegisterWordW",                    NULL},
{16,  42, "ImmEscapeA",                              NULL},
{16,  43, "ImmEscapeW",                              NULL},
{ 0,  44, "ImmFreeLayout",                           NULL},
{ 4,  45, "ImmGenerateMessage",                      NULL},
{ 0,  46, "ImmGetAppCompatFlags",                    NULL},
{16,  47, "ImmGetCandidateListA",                    NULL},
{ 8,  48, "ImmGetCandidateListCountA",               NULL},
{ 8,  49, "ImmGetCandidateListCountW",               NULL},
{16,  50, "ImmGetCandidateListW",                    NULL},
{12,  51, "ImmGetCandidateWindow",                   NULL},
{ 8,  52, "ImmGetCompositionFontA",                  NULL},
{ 8,  53, "ImmGetCompositionFontW",                  NULL},
{16,  54, "ImmGetCompositionStringA",                NULL},
{16,  55, "ImmGetCompositionStringW",                NULL},
{ 8,  56, "ImmGetCompositionWindow",                 NULL},
{ 4,  57, "ImmGetContext",                           NULL},
{24,  58, "ImmGetConversionListA",                   NULL},
{24,  59, "ImmGetConversionListW",                   NULL},
{12,  60, "ImmGetConversionStatus",                  NULL},
{ 4,  61, "ImmGetDefaultIMEWnd",                     NULL},
{12,  62, "ImmGetDescriptionA",                      NULL},
{12,  63, "ImmGetDescriptionW",                      NULL},
{16,  64, "ImmGetGuideLineA",                        NULL},
{16,  65, "ImmGetGuideLineW",                        NULL},
{16,  66, "ImmGetHotKey",                            NULL},
{ 4,  67, "ImmGetIMCCLockCount",                     NULL},
{ 4,  68, "ImmGetIMCCSize",                          NULL},
{ 4,  69, "ImmGetIMCLockCount",                      NULL},
{12,  70, "ImmGetIMEFileNameA",                      NULL},
{12,  71, "ImmGetIMEFileNameW",                      NULL},
{ 0,  72, "ImmGetImeInfoEx",                         NULL},
{24,  73, "ImmGetImeMenuItemsA",                     NULL},
{24,  74, "ImmGetImeMenuItemsW",                     NULL},
{ 4,  75, "ImmGetOpenStatus",                        NULL},
{ 8,  76, "ImmGetProperty",                          NULL},
{12,  77, "ImmGetRegisterWordStyleA",                NULL},
{12,  78, "ImmGetRegisterWordStyleW",                NULL},
{ 8,  79, "ImmGetStatusWindowPos",                   NULL},
{ 4,  80, "ImmGetVirtualKey",                        NULL},
{ 0,  81, "ImmIMPGetIMEA",                           NULL},
{ 0,  82, "ImmIMPGetIMEW",                           NULL},
{ 0,  83, "ImmIMPQueryIMEA",                         NULL},
{ 0,  84, "ImmIMPQueryIMEW",                         NULL},
{ 0,  85, "ImmIMPSetIMEA",                           NULL},
{ 0,  86, "ImmIMPSetIMEW",                           NULL},
{ 8,  87, "ImmInstallIMEA",                          NULL},
{ 8,  88, "ImmInstallIMEW",                          NULL},
{ 4,  89, "ImmIsIME",                                NULL},
{16,  90, "ImmIsUIMessageA",                         NULL},
{16,  91, "ImmIsUIMessageW",                         NULL},
{ 0,  92, "ImmLoadIME",                              NULL},
{ 0,  93, "ImmLoadLayout",                           NULL},
{ 0,  94, "ImmLockClientImc",                        NULL},
{ 4,  95, "ImmLockIMC",                              NULL},
{ 4,  96, "ImmLockIMCC",                             NULL},
{ 0,  97, "ImmLockImeDpi",                           NULL},
{16,  98, "ImmNotifyIME",                            NULL},
{ 0,  99, "ImmProcessKey",                           NULL},
{ 0, 100, "ImmPutImeMenuItemsIntoMappedFile",        NULL},
{ 8, 101, "ImmReSizeIMCC",                           NULL},
{ 0, 102, "ImmRegisterClient",                       NULL},
{16, 103, "ImmRegisterWordA",                        NULL},
{16, 104, "ImmRegisterWordW",                        NULL},
{ 8, 105, "ImmReleaseContext",                       NULL},
{12, 106, "ImmRequestMessageA",                      NULL},
{12, 107, "ImmRequestMessageW",                      NULL},
{ 0, 108, "ImmSendIMEMessageExA",                    NULL},
{ 0, 109, "ImmSendIMEMessageExW",                    NULL},
{ 0, 110, "ImmSetActiveContext",                     NULL},
{ 0, 111, "ImmSetActiveContextConsoleIME",           NULL},
{ 8, 112, "ImmSetCandidateWindow",                   NULL},
{ 8, 113, "ImmSetCompositionFontA",                  NULL},
{ 8, 114, "ImmSetCompositionFontW",                  NULL},
{24, 115, "ImmSetCompositionStringA",                NULL},
{24, 116, "ImmSetCompositionStringW",                NULL},
{ 8, 117, "ImmSetCompositionWindow",                 NULL},
{12, 118, "ImmSetConversionStatus",                  NULL},
{16, 119, "ImmSetHotKey",                            NULL},
{ 8, 120, "ImmSetOpenStatus",                        NULL},
{ 8, 121, "ImmSetStatusWindowPos",                   NULL},
{ 8, 122, "ImmShowSoftKeyboard",                     NULL},
{ 8, 123, "ImmSimulateHotKey",                       NULL},
{ 0, 124, "ImmSystemHandler",                        NULL},
{ 0, 125, "ImmTranslateMessage",                     NULL},
{ 0, 126, "ImmUnlockClientImc",                      NULL},
{ 4, 127, "ImmUnlockIMC",                            NULL},
{ 4, 128, "ImmUnlockIMCC",                           NULL},
{ 0, 129, "ImmUnlockImeDpi",                         NULL},
{16, 130, "ImmUnregisterWordA",                      NULL},
{16, 131, "ImmUnregisterWordW",                      NULL},
{ 0, 132, "ImmWINNLSEnableIME",                      NULL},
{ 0, 133, "ImmWINNLSGetEnableStatus",                NULL},
{ 0, 134, "ImmWINNLSGetIMEHotkey",                   NULL},
{G_MAXINT, 0, NULL, NULL}};
