/*
    IA32
    copyright (c) 1998-2011 Kazuki Iwamoto http://www.maid.org/ iwm@maid.org

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "ncrypt.h"


Ia32Export ia32_ncrypt_exports[] = {
{20,   1, "BCryptAddContextFunction",                NULL},
{24,   2, "BCryptAddContextFunctionProvider",        NULL},
{ 8,   3, "BCryptCloseAlgorithmProvider",            NULL},
{12,   4, "BCryptConfigureContext",                  NULL},
{20,   5, "BCryptConfigureContextFunction",          NULL},
{12,   6, "BCryptCreateContext",                     NULL},
{28,   7, "BCryptCreateHash",                        NULL},
{40,   8, "BCryptDecrypt",                           NULL},
{ 8,   9, "BCryptDeleteContext",                     NULL},
{28,  10, "BCryptDeriveKey",                         NULL},
{ 0,  11, "BCryptDeriveKeyCapi",                     NULL},
{ 0,  12, "BCryptDeriveKeyPBKDF2",                   NULL},
{ 4,  13, "BCryptDestroyHash",                       NULL},
{ 4,  14, "BCryptDestroyKey",                        NULL},
{ 4,  15, "BCryptDestroySecret",                     NULL},
{20,  16, "BCryptDuplicateHash",                     NULL},
{20,  17, "BCryptDuplicateKey",                      NULL},
{40,  18, "BCryptEncrypt",                           NULL},
{16,  19, "BCryptEnumAlgorithms",                    NULL},
{24,  20, "BCryptEnumContextFunctionProviders",      NULL},
{20,  21, "BCryptEnumContextFunctions",              NULL},
{12,  22, "BCryptEnumContexts",                      NULL},
{16,  23, "BCryptEnumProviders",                     NULL},
{ 8,  24, "BCryptEnumRegisteredProviders",           NULL},
{28,  25, "BCryptExportKey",                         NULL},
{ 8,  26, "BCryptFinalizeKeyPair",                   NULL},
{16,  27, "BCryptFinishHash",                        NULL},
{ 4,  28, "BCryptFreeBuffer",                        NULL},
{16,  29, "BCryptGenRandom",                         NULL},
{16,  30, "BCryptGenerateKeyPair",                   NULL},
{28,  31, "BCryptGenerateSymmetricKey",              NULL},
{ 4,  32, "BCryptGetFipsAlgorithmMode",              NULL},
{24,  33, "BCryptGetProperty",                       NULL},
{16,  34, "BCryptHashData",                          NULL},
{36,  35, "BCryptImportKey",                         NULL},
{28,  36, "BCryptImportKeyPair",                     NULL},
{16,  37, "BCryptOpenAlgorithmProvider",             NULL},
{16,  38, "BCryptQueryContextConfiguration",         NULL},
{24,  39, "BCryptQueryContextFunctionConfiguration", NULL},
{28,  40, "BCryptQueryContextFunctionProperty",      NULL},
{20,  41, "BCryptQueryProviderRegistration",         NULL},
{ 4,  42, "BCryptRegisterConfigChangeNotify",        NULL},
{12,  43, "BCryptRegisterProvider",                  NULL},
{16,  44, "BCryptRemoveContextFunction",             NULL},
{20,  45, "BCryptRemoveContextFunctionProvider",     NULL},
{32,  46, "BCryptResolveProviders",                  NULL},
{16,  47, "BCryptSecretAgreement",                   NULL},
{ 4,  48, "BCryptSetAuditingInterface",              NULL},
{28,  49, "BCryptSetContextFunctionProperty",        NULL},
{20,  50, "BCryptSetProperty",                       NULL},
{32,  51, "BCryptSignHash",                          NULL},
{ 4,  52, "BCryptUnregisterConfigChangeNotify",      NULL},
{ 4,  53, "BCryptUnregisterProvider",                NULL},
{28,  54, "BCryptVerifySignature",                   NULL},
{12,  55, "GetIsolationServerInterface",             NULL},
{12,  56, "GetKeyStorageInterface",                  NULL},
{12,  57, "GetSChannelInterface",                    NULL},
{24,  58, "NCryptCreatePersistedKey",                NULL},
{32,  59, "NCryptDecrypt",                           NULL},
{ 8,  60, "NCryptDeleteKey",                         NULL},
{28,  61, "NCryptDeriveKey",                         NULL},
{32,  62, "NCryptEncrypt",                           NULL},
{20,  63, "NCryptEnumAlgorithms",                    NULL},
{20,  64, "NCryptEnumKeys",                          NULL},
{12,  65, "NCryptEnumStorageProviders",              NULL},
{32,  66, "NCryptExportKey",                         NULL},
{ 8,  67, "NCryptFinalizeKey",                       NULL},
{ 4,  68, "NCryptFreeBuffer",                        NULL},
{ 4,  69, "NCryptFreeObject",                        NULL},
{24,  70, "NCryptGetProperty",                       NULL},
{32,  71, "NCryptImportKey",                         NULL},
{12,  72, "NCryptIsAlgSupported",                    NULL},
{ 4,  73, "NCryptIsKeyHandle",                       NULL},
{12,  74, "NCryptNotifyChangeKey",                   NULL},
{20,  75, "NCryptOpenKey",                           NULL},
{12,  76, "NCryptOpenStorageProvider",               NULL},
{16,  77, "NCryptSecretAgreement",                   NULL},
{ 4,  78, "NCryptSetAuditingInterface",              NULL},
{20,  79, "NCryptSetProperty",                       NULL},
{32,  80, "NCryptSignHash",                          NULL},
{24,  81, "NCryptTranslateHandle",                   NULL},
{28,  82, "NCryptVerifySignature",                   NULL},
{ 8,  83, "SslChangeNotify",                         NULL},
{32,  84, "SslComputeClientAuthHash",                NULL},
{32,  85, "SslComputeEapKeyBlock",                   NULL},
{24,  86, "SslComputeFinishedHash",                  NULL},
{ 0,  87, "SslCreateClientAuthHash",                 NULL},
{36,  88, "SslCreateEphemeralKey",                   NULL},
{20,  89, "SslCreateHandshakeHash",                  NULL},
{ 4,  90, "SslDecrementProviderReferenceCount",      NULL},
{40,  91, "SslDecryptPacket",                        NULL},
{44,  92, "SslEncryptPacket",                        NULL},
{20,  93, "SslEnumCipherSuites",                     NULL},
{12,  94, "SslEnumProtocolProviders",                NULL},
{28,  95, "SslExportKey",                            NULL},
{ 4,  96, "SslFreeBuffer",                           NULL},
{ 8,  97, "SslFreeObject",                           NULL},
{44,  98, "SslGenerateMasterKey",                    NULL},
{24,  99, "SslGenerateSessionKeys",                  NULL},
{ 0, 100, "SslGetCipherSuitePRFHashAlgorithm",       NULL},
{20, 101, "SslGetKeyProperty",                       NULL},
{24, 102, "SslGetProviderProperty",                  NULL},
{20, 103, "SslHashHandshake",                        NULL},
{24, 104, "SslImportKey",                            NULL},
{36, 105, "SslImportMasterKey",                      NULL},
{ 4, 106, "SslIncrementProviderReferenceCount",      NULL},
{ 0, 107, "SslLookupCipherLengths",                  NULL},
{24, 108, "SslLookupCipherSuiteInfo",                NULL},
{16, 109, "SslOpenPrivateKey",                       NULL},
{12, 110, "SslOpenProvider",                         NULL},
{32, 111, "SslSignHash",                             NULL},
{ 0, 112, "SslVerifySignature",                      NULL},
{G_MAXINT, 0, NULL, NULL}};
