/*
    IA32
    copyright (c) 1998-2011 Kazuki Iwamoto http://www.maid.org/ iwm@maid.org

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "powrprof.h"


Ia32Export ia32_powrprof_exports[] = {
{20,  1, "CallNtPowerInformation",                      NULL},
{ 0,  2, "CanUserWritePwrScheme",                       NULL},
{ 4,  3, "DeletePwrScheme",                             NULL},
{ 0,  4, "DevicePowerClose",                            NULL},
{20,  5, "DevicePowerEnumDevices",                      NULL},
{ 4,  6, "DevicePowerOpen",                             NULL},
{12,  7, "DevicePowerSetDeviceState",                   NULL},
{ 8,  8, "EnumPwrSchemes",                              NULL},
{ 8,  9, "GUIDFormatToGlobalPowerPolicy",               NULL},
{ 8, 10, "GUIDFormatToPowerPolicy",                     NULL},
{ 4, 11, "GetActivePwrScheme",                          NULL},
{ 8, 12, "GetCurrentPowerPolicies",                     NULL},
{ 4, 13, "GetPwrCapabilities",                          NULL},
{ 8, 14, "GetPwrDiskSpindownRange",                     NULL},
{ 4, 15, "IsAdminOverrideActive",                       NULL},
{ 0, 16, "IsPwrHibernateAllowed",                       NULL},
{ 0, 17, "IsPwrShutdownAllowed",                        NULL},
{ 0, 18, "IsPwrSuspendAllowed",                         NULL},
{16, 19, "LoadCurrentPwrScheme",                        NULL},
{16, 20, "MergeLegacyPwrScheme",                        NULL},
{ 0, 21, "PowerApplyPowerRequestOverride",              NULL},
{ 4, 22, "PowerCanRestoreIndividualDefaultPowerScheme", NULL},
{16, 23, "PowerCreatePossibleSetting",                  NULL},
{12, 24, "PowerCreateSetting",                          NULL},
{ 0, 25, "PowerCustomizePlatformPowerSettings",         NULL},
{16, 26, "PowerDebugDifPowerPolicies",                  NULL},
{16, 27, "PowerDebugDifSystemPowerPolicies",            NULL},
{12, 28, "PowerDebugDumpPowerPolicy",                   NULL},
{12, 29, "PowerDebugDumpPowerScheme",                   NULL},
{12, 30, "PowerDebugDumpSystemPowerCapabilities",       NULL},
{12, 31, "PowerDebugDumpSystemPowerPolicy",             NULL},
{ 8, 32, "PowerDeleteScheme",                           NULL},
{ 0, 33, "PowerDeterminePlatformRole",                  NULL},
{12, 34, "PowerDuplicateScheme",                        NULL},
{28, 35, "PowerEnumerate",                              NULL},
{ 8, 36, "PowerGetActiveScheme",                        NULL},
{12, 37, "PowerImportPowerScheme",                      NULL},
{12, 38, "PowerOpenSystemPowerKey",                     NULL},
{12, 39, "PowerOpenUserPowerKey",                       NULL},
{ 8, 40, "PowerPolicyToGUIDFormat",                     NULL},
{20, 41, "PowerReadACDefaultIndex",                     NULL},
{28, 42, "PowerReadACValue",                            NULL},
{20, 43, "PowerReadACValueIndex",                       NULL},
{20, 44, "PowerReadDCDefaultIndex",                     NULL},
{28, 45, "PowerReadDCValue",                            NULL},
{20, 46, "PowerReadDCValueIndex",                       NULL},
{24, 47, "PowerReadDescription",                        NULL},
{24, 48, "PowerReadFriendlyName",                       NULL},
{24, 49, "PowerReadIconResourceSpecifier",              NULL},
{24, 50, "PowerReadPossibleDescription",                NULL},
{24, 51, "PowerReadPossibleFriendlyName",               NULL},
{28, 52, "PowerReadPossibleValue",                      NULL},
{12, 53, "PowerReadSecurityDescriptor",                 NULL},
{ 8, 54, "PowerReadSettingAttributes",                  NULL},
{16, 55, "PowerReadValueIncrement",                     NULL},
{16, 56, "PowerReadValueMax",                           NULL},
{16, 57, "PowerReadValueMin",                           NULL},
{20, 58, "PowerReadValueUnitsSpecifier",                NULL},
{ 8, 59, "PowerRemovePowerSetting",                     NULL},
{ 0, 60, "PowerReplaceDefaultPowerSchemes",             NULL},
{ 0, 61, "PowerRestoreDefaultPowerSchemes",             NULL},
{ 4, 62, "PowerRestoreIndividualDefaultPowerScheme",    NULL},
{ 8, 63, "PowerSetActiveScheme",                        NULL},
{ 0, 64, "PowerSetAlsBrightnessOffset",                 NULL},
{ 8, 65, "PowerSettingAccessCheck",                     NULL},
{ 0, 66, "PowerSettingRegisterNotification",            NULL},
{ 0, 67, "PowerSettingUnregisterNotification",          NULL},
{20, 68, "PowerWriteACDefaultIndex",                    NULL},
{20, 69, "PowerWriteACValueIndex",                      NULL},
{20, 70, "PowerWriteDCDefaultIndex",                    NULL},
{20, 71, "PowerWriteDCValueIndex",                      NULL},
{24, 72, "PowerWriteDescription",                       NULL},
{24, 73, "PowerWriteFriendlyName",                      NULL},
{24, 74, "PowerWriteIconResourceSpecifier",             NULL},
{24, 75, "PowerWritePossibleDescription",               NULL},
{24, 76, "PowerWritePossibleFriendlyName",              NULL},
{28, 77, "PowerWritePossibleValue",                     NULL},
{12, 78, "PowerWriteSecurityDescriptor",                NULL},
{12, 79, "PowerWriteSettingAttributes",                 NULL},
{16, 80, "PowerWriteValueIncrement",                    NULL},
{16, 81, "PowerWriteValueMax",                          NULL},
{16, 82, "PowerWriteValueMin",                          NULL},
{20, 83, "PowerWriteValueUnitsSpecifier",               NULL},
{ 4, 84, "ReadGlobalPwrPolicy",                         NULL},
{ 8, 85, "ReadProcessorPwrScheme",                      NULL},
{ 8, 86, "ReadPwrScheme",                               NULL},
{12, 87, "SetActivePwrScheme",                          NULL},
{12, 88, "SetSuspendState",                             NULL},
{ 8, 89, "ValidatePowerPolicies",                       NULL},
{ 4, 90, "WriteGlobalPwrPolicy",                        NULL},
{ 8, 91, "WriteProcessorPwrScheme",                     NULL},
{16, 92, "WritePwrScheme",                              NULL},
{G_MAXINT, 0, NULL, NULL}};
