/*
    IA32
    copyright (c) 1998-2011 Kazuki Iwamoto http://www.maid.org/ iwm@maid.org

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "secur32.h"


Ia32Export ia32_secur32_exports[] = {
{36,   4, "AcceptSecurityContext",                 NULL},
{36,   5, "AcquireCredentialsHandleA",             NULL},
{36,   6, "AcquireCredentialsHandleW",             NULL},
{32,   7, "AddCredentialsA",                       NULL},
{32,   8, "AddCredentialsW",                       NULL},
{ 8,   9, "AddSecurityPackageA",                   NULL},
{ 8,  10, "AddSecurityPackageW",                   NULL},
{ 8,  11, "ApplyControlToken",                     NULL},
{32,  12, "ChangeAccountPasswordA",                NULL},
{32,  13, "ChangeAccountPasswordW",                NULL},
{ 0,   1, "CloseLsaPerformanceData",               NULL},
{ 0,   2, "CollectLsaPerformanceData",             NULL},
{ 8,  14, "CompleteAuthToken",                     NULL},
{ 0,  15, "CredMarshalTargetInfo",                 NULL},
{ 0,  16, "CredParseUserNameWithType",             NULL},
{ 0,  17, "CredUnmarshalTargetInfo",               NULL},
{16,  18, "DecryptMessage",                        NULL},
{ 4,  19, "DeleteSecurityContext",                 NULL},
{ 4,  20, "DeleteSecurityPackageA",                NULL},
{ 4,  21, "DeleteSecurityPackageW",                NULL},
{16,  22, "EncryptMessage",                        NULL},
{ 8,  23, "EnumerateSecurityPackagesA",            NULL},
{ 8,  24, "EnumerateSecurityPackagesW",            NULL},
{16,  25, "ExportSecurityContext",                 NULL},
{ 4,  26, "FreeContextBuffer",                     NULL},
{ 4,  27, "FreeCredentialsHandle",                 NULL},
{12,  28, "GetComputerObjectNameA",                NULL},
{12,  29, "GetComputerObjectNameW",                NULL},
{ 0,  30, "GetSecurityUserInfo",                   NULL},
{12,  31, "GetUserNameExA",                        NULL},
{12,  32, "GetUserNameExW",                        NULL},
{ 4,  33, "ImpersonateSecurityContext",            NULL},
{16,  34, "ImportSecurityContextA",                NULL},
{16,  35, "ImportSecurityContextW",                NULL},
{ 0,  36, "InitSecurityInterfaceA",                NULL},
{ 0,  37, "InitSecurityInterfaceW",                NULL},
{48,  38, "InitializeSecurityContextA",            NULL},
{48,  39, "InitializeSecurityContextW",            NULL},
{28,  40, "LsaCallAuthenticationPackage",          NULL},
{ 4,  41, "LsaConnectUntrusted",                   NULL},
{ 4,  42, "LsaDeregisterLogonProcess",             NULL},
{ 8,  43, "LsaEnumerateLogonSessions",             NULL},
{ 4,  44, "LsaFreeReturnBuffer",                   NULL},
{ 8,  45, "LsaGetLogonSessionData",                NULL},
{56,  46, "LsaLogonUser",                          NULL},
{12,  47, "LsaLookupAuthenticationPackage",        NULL},
{12,  48, "LsaRegisterLogonProcess",               NULL},
{ 8,  49, "LsaRegisterPolicyChangeNotification",   NULL},
{ 8,  50, "LsaUnregisterPolicyChangeNotification", NULL},
{16,  51, "MakeSignature",                         NULL},
{ 0,   3, "OpenLsaPerformanceData",                NULL},
{12,  52, "QueryContextAttributesA",               NULL},
{12,  53, "QueryContextAttributesW",               NULL},
{12,  54, "QueryCredentialsAttributesA",           NULL},
{12,  55, "QueryCredentialsAttributesW",           NULL},
{ 8,  56, "QuerySecurityContextToken",             NULL},
{ 8,  57, "QuerySecurityPackageInfoA",             NULL},
{ 8,  58, "QuerySecurityPackageInfoW",             NULL},
{ 4,  59, "RevertSecurityContext",                 NULL},
{36,  60, "SaslAcceptSecurityContext",             NULL},
{ 8,  61, "SaslEnumerateProfilesA",                NULL},
{ 8,  62, "SaslEnumerateProfilesW",                NULL},
{20,  63, "SaslGetContextOption",                  NULL},
{ 8,  64, "SaslGetProfilePackageA",                NULL},
{ 8,  65, "SaslGetProfilePackageW",                NULL},
{ 8,  66, "SaslIdentifyPackageA",                  NULL},
{ 8,  67, "SaslIdentifyPackageW",                  NULL},
{48,  68, "SaslInitializeSecurityContextA",        NULL},
{48,  69, "SaslInitializeSecurityContextW",        NULL},
{16,  70, "SaslSetContextOption",                  NULL},
{16,  71, "SealMessage",                           NULL},
{ 0,  72, "SeciAllocateAndSetCallFlags",           NULL},
{ 0,  73, "SeciAllocateAndSetIPAddress",           NULL},
{ 0,  74, "SeciFreeCallContext",                   NULL},
{ 0,  75, "SecpFreeMemory",                        NULL},
{ 0,  76, "SecpTranslateName",                     NULL},
{ 0,  77, "SecpTranslateNameEx",                   NULL},
{16,  78, "SetContextAttributesA",                 NULL},
{16,  79, "SetContextAttributesW",                 NULL},
{16,  80, "SetCredentialsAttributesA",             NULL},
{16,  81, "SetCredentialsAttributesW",             NULL},
{ 0,  82, "SspiCompareAuthIdentities",             NULL},
{ 0,  83, "SspiCopyAuthIdentity",                  NULL},
{ 0,  84, "SspiDecryptAuthIdentity",               NULL},
{ 0,  85, "SspiEncodeAuthIdentityAsStrings",       NULL},
{ 0,  86, "SspiEncodeStringsAsAuthIdentity",       NULL},
{ 0,  87, "SspiEncryptAuthIdentity",               NULL},
{ 0,  88, "SspiExcludePackage",                    NULL},
{ 0,  89, "SspiFreeAuthIdentity",                  NULL},
{ 0,  90, "SspiGetTargetHostName",                 NULL},
{ 0,  91, "SspiIsAuthIdentityEncrypted",           NULL},
{ 0,  92, "SspiLocalFree",                         NULL},
{ 0,  93, "SspiMarshalAuthIdentity",               NULL},
{ 0,  94, "SspiPrepareForCredRead",                NULL},
{ 0,  95, "SspiPrepareForCredWrite",               NULL},
{ 0,  96, "SspiUnmarshalAuthIdentity",             NULL},
{ 0,  97, "SspiValidateAuthIdentity",              NULL},
{ 0,  98, "SspiZeroAuthIdentity",                  NULL},
{20,  99, "TranslateNameA",                        NULL},
{20, 100, "TranslateNameW",                        NULL},
{16, 101, "UnsealMessage",                         NULL},
{16, 102, "VerifySignature",                       NULL},
{G_MAXINT, 0, NULL, NULL}};
